import { InjectionToken, ModuleWithProviders } from '@angular/core';
import { Store } from 'redux';
import { IReduxStateType } from './decorator/state/state';
export declare const IS_ROOT_MODULE: InjectionToken<boolean>;
export declare const REDUX_MODULE_CONFIG: InjectionToken<IReduxModuleChildConfig | IReduxModuleRootConfig>;
export interface IReduxModuleRootConfig {
    store?: Store<{}>;
}
export interface IReduxModuleChildConfig {
    state: IReduxStateType;
}
export interface IReducerType {
    new (...args: any[]): any;
}
export declare class ReduxModule {
    constructor(isRootModule?: boolean, config?: IReduxModuleRootConfig);
    static forChild(config: IReduxModuleChildConfig): ModuleWithProviders;
    static forRoot(config?: IReduxModuleRootConfig): ModuleWithProviders;
}
