import { Reducer, Store } from 'redux';
import { ReduxReducerActionType, ReduxReducerActionTypeArray } from './decorator/reducer/reducer';
import { IReduxStateType } from './decorator/state/state';
export declare class ReduxRegistryReducerItem {
    stateName: string;
    reducer: Reducer<{}>;
    type: ReduxReducerActionType<{}>;
}
export interface IRegisterModulePayload {
    initialState: {};
    stateName: string;
}
export declare class ReduxRegistry {
    static readonly ACTION_REGISTER_MODULE: string;
    private static readonly _store;
    private static readonly _reducers;
    static registerStore(store: Store<{}>): void;
    static registerReducer(stateName: string, types: ReduxReducerActionTypeArray<{}>, reducer: Reducer<{}>): void;
    static registerState(stateType: IReduxStateType): void;
    static getReducerItemsByType(type: string): ReduxRegistryReducerItem[];
    static getStore(): Promise<Store<{}>>;
}
